#!/usr/bin/ruby

require 'vlc'

raise "Give me a directory as an argument" if ARGV[0] == nil or not File.directory?(ARGV[0])

v = VLC::Instance.new
Dir[ARGV[0] + "/*"].each { |i|
  v.playlist.add(i, nil)
}
v.playlist.play

loop {
  case $stdin.gets.chop
  when "next"
    v.playlist.next
  when "prev"
    v.playlist.prev
  when "stop"
    v.playlist.stop
  when "pause"
    v.playlist.pause
  when "play"
    v.playlist.play
  when "quit"
    exit
  end
}

